Skip to main content
GET
/
api
/
v3
/
files
/
{file_id}
/
facets
Get a file's content types and attributes
curl --request GET \
  --url https://api.lighton.ai/api/v3/files/{file_id}/facets \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.lighton.ai/api/v3/files/{file_id}/facets"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.lighton.ai/api/v3/files/{file_id}/facets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "content_types": [
    {
      "path": "<string>",
      "code": "<string>",
      "label": "<string>",
      "attributes": [
        {
          "name": "<string>",
          "value": "<string>",
          "type": "<string>",
          "required": true,
          "label": "",
          "description": "",
          "choices": []
        }
      ],
      "labels": []
    }
  ],
  "can_edit": true,
  "unlinked": []
}
{
"id": null,
"code": 401,
"error": "unauthorized",
"detail": "Authentication credentials were not provided or are invalid.",
"doc_url": "https://developers.lighton.ai/errors#unauthorized"
}
{
"id": null,
"code": 404,
"error": "not_found",
"detail": "Document not found.",
"doc_url": "https://developers.lighton.ai/errors#not_found"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

file_id
integer
required

Response

content_types
ContentTypeAttributesResponse · object[]
required
can_edit
boolean
required
unlinked
AttributeSchema · object[]